View Issue Details

IDProjectCategoryView StatusLast Update
0017665LazarusLCLpublic2010-10-27 04:27
ReporterlainzAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017665: Combobox inperfect under Windows
Descriptionif you set a ComboBox ReadOnly = True the combobox have a white background or other color you select: must be transparent to see the skin for ReadOnly combobox in windows.

See the entire thread here (also information about combobox inperfect under linux):
http://www.lazarus.freepascal.org/index.php/topic,9873.msg52598.html#msg52598
TagsNo tags attached.
Fixed in Revision27845
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

2010-10-19 18:44

 

combobug.png (30,604 bytes)
combobug.png (30,604 bytes)

Paul Ishenin

2010-10-25 04:30

manager   ~0042083

Please test and close if ok.

lainz

2010-10-27 04:27

reporter   ~0042189

Works fine excelent work!

Issue History

Date Modified Username Field Change
2010-10-19 18:44 lainz New Issue
2010-10-19 18:44 lainz File Added: combobug.png
2010-10-19 18:44 lainz Widgetset => Win32/Win64
2010-10-25 04:30 Paul Ishenin Fixed in Revision => 27845
2010-10-25 04:30 Paul Ishenin LazTarget => 0.9.30
2010-10-25 04:30 Paul Ishenin Status new => resolved
2010-10-25 04:30 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-10-25 04:30 Paul Ishenin Resolution open => fixed
2010-10-25 04:30 Paul Ishenin Assigned To => Paul Ishenin
2010-10-25 04:30 Paul Ishenin Note Added: 0042083
2010-10-27 04:27 lainz Status resolved => closed
2010-10-27 04:27 lainz Note Added: 0042189